%global namedreltag .Alpha6
%global namedversion %{version}%{?namedreltag}

Name:             hibernate-hql
Version:          1.0.0
Release:          0.4%{namedreltag}%{dist}
Summary:          Hibernate Query Parser
License:          LGPLv2 and ASL 2.0
Url:              https://github.com/hibernate/hibernate-hql-parser
Source0:          https://github.com/hibernate/hibernate-hql-parser/archive/%{namedversion}.tar.gz

Source1:          pom.xml
Source2:          https://repository.jboss.org/nexus/service/local/repositories/releases/content/org/hibernate/hql/hibernate-hql-parser/%{namedversion}/hibernate-hql-parser-%{namedversion}.pom
Source3:          https://repository.jboss.org/nexus/service/local/repositories/releases/content/org/hibernate/hql/hibernate-hql-lucene/%{namedversion}/hibernate-hql-lucene-%{namedversion}.pom

BuildRequires:    maven-local
BuildRequires:    jboss-logging
BuildRequires:    antlr3-java
BuildRequires:    antlr3-tool
BuildRequires:    junit
BuildRequires:    hibernate-jpa-2.0-api
BuildRequires:    hibernate-search

%if 0%{?fedora} >= 21
BuildRequires:    lucene3-contrib
%else
BuildRequires:    lucene-contrib
%endif

BuildArch:        noarch

%description
Experimental new parser for HQL and JP-QL queries, to convert these into SQL
and other different targets such as Lucene queries, Map/Reduce queries for
NoSQL stores, make it possible to perform more sophisticated SQL
transformations.

%package javadoc
Summary:          Javadocs for %{name}

%description javadoc
This package contains the API documentation for %{name}.

%prep
%setup -q -n hibernate-hql-parser-%{namedversion}

find . -name '*.jar' -delete
find . -name '*.class' -delete

sed -i "s,59 Temple Place,51 Franklin Street,;s,Suite 330,Fifth Floor,;s,02111-1307,02110-1301," license.txt

cp %{SOURCE1} pom.xml
cp %{SOURCE2} parser/pom.xml
cp %{SOURCE3} lucene/pom.xml

%pom_xpath_set pom:version "%{namedversion}" pom.xml

%pom_add_plugin "org.antlr:antlr3-maven-plugin" parser/pom.xml
%pom_xpath_inject "pom:plugins/pom:plugin[pom:artifactId = 'antlr3-maven-plugin']" "<executions><execution><phase>generate-sources</phase><goals><goal>antlr</goal></goals><configuration><sourceDirectory>src/main/antlr</sourceDirectory></configuration></execution></executions>" parser/pom.xml

%build
%mvn_build -f

%install
%mvn_install

%files -f .mfiles
%dir %{_javadir}/%{name}
%doc license.txt copyright.txt README.md

%files javadoc -f .mfiles-javadoc
%doc license.txt

%changelog
* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.0-0.4.Alpha6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Fri Apr 18 2014 Marek Goldmann <mgoldman@redhat.com> - 1.0.0-0.3.Alpha6
- Upstream release 1.0.0.Alpha6

* Wed Oct 23 2013 Mikolaj Izdebski <mizdebsk@redhat.com> - 1.0.0-0.2.Alpha5
- Rebuild to regenerate broken POMs
- Related: rhbz#1021484

* Thu Oct 10 2013 Marek Goldmann <mgoldman@redhat.com> - 1.0.0-0.1.Alpha5
- Initial import


